Se débarrasser de Google Chrome

Partagez ici vos Trucs et vos Astuces.
Répondre
Avatar de l’utilisateur
vv222
Membre actif
Membre actif
Messages : 852
Inscription : 18 avr. 2016, 20:14
Contact :
Status : Hors-ligne

Salut !

Je ne vais pas prendre le temps d’expliquer pourquoi vouloir éviter à tout prix de participer à l’hégémonie de Google sur le Web, je m’adresse ici à ceux qui comprennent déjà que c’est un sujet important.

Ne pas installer Google Chrome semble facile, mais en réalité il se cache aussi sous d’autres noms. Le plus connu est bien sûr "chromium", mais un autre plus discret est "QtWebEngine". Ce dernier est une bibliothèque Qt qui inclut Google Chrome pour servir de moteur de rendu Web dans des applications Qt.

La commande suivante permet de savoir si votre système est déjà infecté :

Code : Tout sélectionner

apt remove --simulate '?source-package(^chromium$)' '?source-package(^qt6-webengine$)' '?source-package(^qtwebengine-opensource-src$)' steam-installer steam
Celle-ci retire effectivement les intrus :

Code : Tout sélectionner

apt remove '?source-package(^chromium$)' '?source-package(^qt6-webengine$)' '?source-package(^qtwebengine-opensource-src$)' steam-installer steam
Et enfin, l’ajout de ce fichier /etc/apt/preferences.d/google-chrome évite le retour en douce des indésirables :

Code : Tout sélectionner

Package: src:chromium src:qt6-webengine src:qtwebengine-opensource-src steam-installer steam
Pin: release o=Debian
Pin-Priority: -1
Cette méthode fonctionne sur Debian Stretch, Buster, Bullseye, Bookworm et Trixie/Sid, à condition de se cantonner aux dépôts officiels Debian. Elle n’empêchera pas le système de se faire véroler en cas d’utilisation de dépôts tiers. Elle peut nécessiter des adaptations pour des versions de Debian plus anciennes ou plus récentes.

---

Ce message est une copie de celui que j’ai déjà partagé sur Debian-Facile.
Avatar de l’utilisateur
dezix
Membre hyper actif
Membre hyper actif
Messages : 3546
Inscription : 04 juin 2016, 14:50
Status : Hors-ligne

vv222 a écrit : 15 févr. 2023, 18:39 Je ne vais pas prendre le temps d’expliquer pourquoi vouloir éviter à tout prix de participer à l’hégémonie de Google sur le Web,
je m’adresse ici à ceux qui comprennent déjà que c’est un sujet important.

Un grand MERCI !

:good:


J'ai bien sûr testé sur ma station de travail :

Code : Tout sélectionner

$ apt remove --simulate '?source-package(^chromium$)' '?source-package(^qt6-webengine$)' '?source-package(^qtwebengine-opensource-src$)'
NOTE: Ceci n'est qu'une simulation !
      apt a besoin des privilèges du superutilisateur
      pour pouvoir vraiment fonctionner.
      Veuillez aussi noter que le verrouillage est désactivé,
      et la situation n'est donc pas forcément représentative
      de la réalité !
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Lecture des informations d'état... Fait      
Le paquet « chromium » n'est pas installé, et ne peut donc être supprimé
....
Le paquet « qtwebengine5-private-dev » n'est pas installé, et ne peut donc être supprimé
0 mis à jour, 0 nouvellement installés, 0 à enlever et 8 non mis à jour.
Bonne nouvelle, Google n'est pas tapi dans un recoin :003:

il faut dire que je veille à éviter d'installer des applications utilisant Qt,
je dois n'en avoir qu'une : la GUI de Virtualbox (virtualbox-qt)


Question de Candide

Les suppressions que tu préconises ne risquent-elles pas d'entraîner la suppression complète de certaines applications ?
**Simple Utilisateur** -- Debian stable - XFCE
Avatar de l’utilisateur
vv222
Membre actif
Membre actif
Messages : 852
Inscription : 18 avr. 2016, 20:14
Contact :
Status : Hors-ligne

dezix a écrit : 15 févr. 2023, 21:43 Les suppressions que tu préconises ne risquent-elles pas d'entraîner la suppression complète de certaines applications ?
Si, bien sûr : tous les logiciels qui dépendent de Google Chrome pour fonctionner :spiteful:

Pour donner un exemple de celles qui ont déjà été identifiées sur le forum Debian-Facile :
  • anki
  • akregator
  • freecad
  • kaddressbook
  • kmail
  • knotes
  • konqueror
  • korganizer
  • nextcloud-desktop
  • notepadqq
Il s’agit d’une liste qui n’est pas du tout exhaustive, en particulier elle n’inclut qu’un seul navigateur Web alors qu’on en a tout un tas chez Debian qui ne sont que des habillages de Google Chrome.
Avatar de l’utilisateur
piratebab
Site Admin
Site Admin
Messages : 4825
Inscription : 24 avr. 2016, 18:41
Localisation : sud ouest
Status : Hors-ligne

J'utilise nextcloud-desktop, donc je vais resté infecté ...
autant ne pas utiliser chrome me semble une évidence à cause des infos envoyées aux serveurs google, mais en quoi l'utilisation de "QtWebEngine" est elle néfaste ?
coté licence, rien de particulier
Qt WebEngine Licensing

The Qt specific parts of the Qt WebEngine module are dual-licensed under Commercial and GNU Lesser General Public License (LGPLv3). In addition, the module contains code licensed under LGPLv2.

The module includes a snapshot of Chromium. As such, users need to respect the licenses of Chromium, and third-party code included in Chromium. The arguably most restrictive license to be respected by all users is LGPLv2.1.
C'est vrai que la liste des parties tierces est impressionnante:
https://doc.qt.io/qt-6/qtwebengine-licensing.html

Coté GLK c'est moins détaillé, maos on retrouve les mêmes licences:
https://docs.gtk.org/gtk3/enum.License.html
Avatar de l’utilisateur
vv222
Membre actif
Membre actif
Messages : 852
Inscription : 18 avr. 2016, 20:14
Contact :
Status : Hors-ligne

piratebab a écrit : 16 févr. 2023, 08:39 autant ne pas utiliser chrome me semble une évidence à cause des infos envoyées aux serveurs google, mais en quoi l'utilisation de "QtWebEngine" est elle néfaste ?
Je t‘invite à jeter un œil sur la recette de compilation de QtWebEngine, et tu te rendras compte qu’il ne s’agit en fait que d’une surcouche à Google Chrome. (cf. https://tracker.debian.org/pkg/qt6-webengine)

Utiliser des logiciels se reposant dessus revient donc à participer à l’hégémonie de Google sur le Web. C’est bien sûr quelque chose qu’on peut considérer acceptable à titre individuel, mais l’un des buts de cette discussion que j’ai lancée sur plusieurs forums est que ça devienne une décision réfléchie plutôt que quelque chose de subi sans même le savoir.
Avatar de l’utilisateur
Aka_de_Kebnekaise
Membre
Membre
Messages : 68
Inscription : 02 mai 2021, 11:07
Status : Hors-ligne

dezix a écrit : 15 févr. 2023, 21:43 il faut dire que je veille à éviter d'installer des applications utilisant Qt,
je dois n'en avoir qu'une : la GUI de Virtualbox (virtualbox-qt)
Cela a donné ça pour moi :

Code : Tout sélectionner

Les paquets suivants seront ENLEVÉS :
  calibre kiwix libqt5webengine-data libqt5webengine5 libqt5webenginecore5
  libqt5webenginewidgets5 python3-pyqt5.qtwebengine
:022:

Pour ma part, je n'ai pas très bien compris le lien entre les applications Qt et Google. Est-ce une généralité que toutes les app Qt nécessitent google chrome ou seulement quelques unes d'entre elles ?

Et surtout, que peut-on dire de l'environnement de bureau LxQt ?
Avatar de l’utilisateur
vv222
Membre actif
Membre actif
Messages : 852
Inscription : 18 avr. 2016, 20:14
Contact :
Status : Hors-ligne

Aka_de_Kebnekaise a écrit : 18 févr. 2023, 23:18 Pour ma part, je n'ai pas très bien compris le lien entre les applications Qt et Google. Est-ce une généralité que toutes les app Qt nécessitent google chrome ou seulement quelques unes d'entre elles ?
Toutes les applications Qt modernes qui incluent des fonctionnalités de rendu Web utilisent Google Chrome pour effectuer ce rendu.
Avatar de l’utilisateur
dezix
Membre hyper actif
Membre hyper actif
Messages : 3546
Inscription : 04 juin 2016, 14:50
Status : Hors-ligne

Aka_de_Kebnekaise a écrit : 18 févr. 2023, 23:18 Est-ce une généralité que toutes les app Qt nécessitent google chrome ou seulement quelques unes d'entre elles ?
Et non, que celles qui ont besoin de fonctionnalités du web.

Ça doit être le cas decalibre le gestionnaire d'ebooks,
je viens defaire les MàJ pour le poste d'un amis qui l'utilise,
et on a :

Code : Tout sélectionner

$ apt remove --simulate '?source-package(^chromium$)' '?source-package(^qt6-webengine$)' '?source-package(^qtwebengine-opensource-src$)' 
.....
Les paquets suivants seront ENLEVÉS :
  calibre libqt5webengine-data libqt5webengine5 libqt5webenginecore5
  libqt5webenginewidgets5 python3-pyqt5.qtwebengine
0 mis à jour, 0 nouvellement installés, 6 à enlever et 0 non mis à jour.
....
vv222 nous informe (pour notre éveil),
c'est bien mais cela ne doit pas empêcher de dormir ceux qui utilisent les applications concernées,
surtout s'il n'y a pas d'équivalent sans bibliothèques google.

Simplement maintenant on le sait et si dans certains contextes cela représente un "risque"
alors il faut utiliser d'autres programmes.
**Simple Utilisateur** -- Debian stable - XFCE
Avatar de l’utilisateur
vv222
Membre actif
Membre actif
Messages : 852
Inscription : 18 avr. 2016, 20:14
Contact :
Status : Hors-ligne

Il y a un risque qui est avéré dans tous les cas : on renforce le monopole de Google sur le rendu Web, et par effet de bord sur son contrôle des normes HTML et CSS (et dans une certaine mesure HTTP).

Reste à voir ensuite si on considère comme un problème que Google soit le gérant du Web dans sa globalité, et à quels compromis on est prêts pour combattre (ou au moins ne pas renforcer) cet état de fait.

À chacun de faire son choix, ce n’est sûrement pas moi qui vous jugerai. Je me contente de fournir des outils permettant de faire ce choix en toute conscience, plutôt que de croire qu’il suffit de ne pas installer Google Chrome pour ne pas participer à cette hégémonie.
Avatar de l’utilisateur
dezix
Membre hyper actif
Membre hyper actif
Messages : 3546
Inscription : 04 juin 2016, 14:50
Status : Hors-ligne

vv222 a écrit : 19 févr. 2023, 13:33 Il y a un risque qui est avéré dans tous les cas : on renforce le monopole de Google sur le rendu Web,
et par effet de bord sur son contrôle des normes HTML et CSS (et dans une certaine mesure HTTP)

Bravo !
:clapping:

:good:
**Simple Utilisateur** -- Debian stable - XFCE
Avatar de l’utilisateur
piratebab
Site Admin
Site Admin
Messages : 4825
Inscription : 24 avr. 2016, 18:41
Localisation : sud ouest
Status : Hors-ligne

Malheureusement, de plus en plus d'outils libres sont développés par les Gafam. Ils ont les ressources pour ça. Cela concerne par exemple aussi les polices de caractères. Je suis incapable de dire si c'est bien ou mal.
Pour contrer google, je préfère fuir les applications qui les font vivre, à commencer par leur moteur de recherche.
Avatar de l’utilisateur
vv222
Membre actif
Membre actif
Messages : 852
Inscription : 18 avr. 2016, 20:14
Contact :
Status : Hors-ligne

piratebab a écrit : 19 févr. 2023, 18:41 Pour contrer google, je préfère fuir les applications qui les font vivre, à commencer par leur moteur de recherche.
Ça tombe bien : leur contrôle sur la normalisation du Web, via le moteur de rendu de Google Chrome et de tous les logiciels basés dessus, est un des piliers de leurs capacités à nous gaver de publicité ciblée. Publicité ciblée qui est le moteur principal de leurs revenus.
Avatar de l’utilisateur
Aka_de_Kebnekaise
Membre
Membre
Messages : 68
Inscription : 02 mai 2021, 11:07
Status : Hors-ligne

vv222 a écrit : 19 févr. 2023, 12:40
Aka_de_Kebnekaise a écrit : 18 févr. 2023, 23:18 Pour ma part, je n'ai pas très bien compris le lien entre les applications Qt et Google. Est-ce une généralité que toutes les app Qt nécessitent google chrome ou seulement quelques unes d'entre elles ?
Toutes les applications Qt modernes qui incluent des fonctionnalités de rendu Web utilisent Google Chrome pour effectuer ce rendu.
Merci pour ta réponse ! :drinks: Mais est-ce que l'environnement de bureau LxQt est concerné ? Ou cela n'a-t-il rien à voir ?
Avatar de l’utilisateur
dezix
Membre hyper actif
Membre hyper actif
Messages : 3546
Inscription : 04 juin 2016, 14:50
Status : Hors-ligne

Aka_de_Kebnekaise a écrit : 20 févr. 2023, 02:18 Mais est-ce que l'environnement de bureau LxQt est concerné ? Ou cela n'a-t-il rien à voir ?
L'environnement "sans rien" probablement pas,
mais comme installer un environnement basé sur Qt suppose une forte préférence pour les applications en Qt .... alors oui pour celle-là !

Donc le choix de LXQt plutôt que LXDE (GTK que je préfère) ne se justifie (à mes yeux) que si on utilise principalement des applications qui n'ont pas de version/équivalent GTK.

Ou si KDE est ta came et tu ne peux t'en passer... ça se comprend :030:
**Simple Utilisateur** -- Debian stable - XFCE
Avatar de l’utilisateur
piratebab
Site Admin
Site Admin
Messages : 4825
Inscription : 24 avr. 2016, 18:41
Localisation : sud ouest
Status : Hors-ligne

J'utilise firefox au quotidien , je ne suis jamais connecté à un compte google, et pourtant je suis parfaitement tracé par mon empreinte. J'ai testé canvas fingerprint pour essayer de brouiller les pistes, mais c'est inéfficace face au traçage moderne.
Je bloque évidement un max de pub et de scripts (mais pourquoi tout le monde utilise google analytics!). Les serveurs eux mêmes se font un plaisir de transmettre un max d'infos à google (facebook ....).
J'ai un peu baissé les bras .
Avatar de l’utilisateur
dezix
Membre hyper actif
Membre hyper actif
Messages : 3546
Inscription : 04 juin 2016, 14:50
Status : Hors-ligne

piratebab a écrit : 20 févr. 2023, 12:43 mais pourquoi tout le monde utilise google analytics!)

Je le bloque systématiquement avec NoScript et quand je veux aller sur des sites qui ne fonctionnent pas sans les scripts => TorBrowser (qui doit être bridé par Orange car bien moins vif que FF)
**Simple Utilisateur** -- Debian stable - XFCE
Avatar de l’utilisateur
vv222
Membre actif
Membre actif
Messages : 852
Inscription : 18 avr. 2016, 20:14
Contact :
Status : Hors-ligne

piratebab a écrit : 20 févr. 2023, 12:43 mais pourquoi tout le monde utilise google analytics!
Pour avoir bossé un bon moment en agence Web : uniquement parce que les autres le font. Les clients demandent tous Google Analytics parce que « C’est comme ça qu’il faut faire. ». Et bien entendu la plupart des agences Web ne font rien pour les en décourager.
Avatar de l’utilisateur
frank
Membre
Membre
Messages : 54
Inscription : 28 févr. 2021, 21:56
Status : Hors-ligne

salut à tous

Depuis plus d'un mois, j'ai supprimé mon compte Google.
et parfois quand j'utilise intensivement Google pour la recherche, il me demande si je ne suis pas un robot, depuis 2015 c'est la première fois.

p.s. la majorité du temps j'utilise DockDuckGo
PC debian oldstable/stable/testing/sid rc-buggy - gnome/kde
Tails Linux usb
Mobile UBPort Ubuntu-Touch
Avatar de l’utilisateur
lol
Site Admin
Site Admin
Messages : 4917
Inscription : 04 avr. 2016, 12:11
Localisation : Madagascar
Status : Hors-ligne

frank a écrit : 21 févr. 2023, 19:08 salut à tous

Depuis plus d'un mois, j'ai supprimé mon compte Google.
et parfois quand j'utilise intensivement Google pour la recherche, il me demande si je ne suis pas un robot, depuis 2015 c'est la première fois.

p.s. la majorité du temps j'utilise DockDuckGo

C'est la première fois depuis 2015 que tu n'es pas traqué par google...
Moi ça fait un moment que Google m'emmerde avec son système "anti robots"...

Ne Jamais faire de recherche dans un navigateur en étant connecté sur Google, Linkedin, Facebook, BFM, allociné... et en règle générale tous les autres sites qui vivent de nos cookies et de notre activité sur le Web
Il faut aussi penser à bien Isoler ses activités, avec plusieurs navigateurs et plusieurs profiles.
On peut aussi ajouter des addons aux navigateurs qui effacent systématiquement les cookies, bloquent la pub, les scripts, etc...
Règles d'usage du forum. Signalez si vous avez posté votre question sur un autre forum. Explications ici
Debian Unstable. Mate/LXQT. Dieu, en créant l'homme, a quelque peu surestimé ses capacités.
Avatar de l’utilisateur
frank
Membre
Membre
Messages : 54
Inscription : 28 févr. 2021, 21:56
Status : Hors-ligne

C'est la première fois depuis 2015 que tu n'es pas traqué par google... ?

Hé oui, pour supprimé mon compte google je devais trouvé un mobile avec autre chose que android et iphone.
Je n'utilise pas Linkedin, Facebook, allociné, pour BFM dans mon pays ça correspond TVA et Radio-Canada "deux zombie woke".
PC debian oldstable/stable/testing/sid rc-buggy - gnome/kde
Tails Linux usb
Mobile UBPort Ubuntu-Touch
Répondre